Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Class CTabFolderAdapter

    java.lang.Object
      org.eclipse.swt.custom.CTabFolderAdapter

All Implemented Interfaces:
  EventListener, CTabFolderListener, org.eclipse.swt.internal.SWTEventListener

    public class CTabFolderAdapter

extends Object
implements CTabFolderListener

This adapter class provides a default implementation for the method described by the `CTabFolderListener` interface.

See Also:
  `CTabFolderListener`, `CTabFolderEvent`, Sample code and further information

Constructor Summary
`CTabFolderAdapter()`

Method Summary
`void` `itemClosed(CTabFolderEvent event)` Sent when the user clicks on the close button of an item in the CTabFolder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CTabFolderAdapter

    public CTabFolderAdapter()

Method Detail

### itemClosed

    public void itemClosed(CTabFolderEvent event)

  Description copied from interface: `CTabFolderListener`
  Sent when the user clicks on the close button of an item in the CTabFolder. The item being closed is specified in the event.item field. Setting the event.doit field to false will stop the CTabItem from closing. When the CTabItem is closed, it is disposed. The contents of the CTabItem (see CTabItem.setControl) will be made not visible when the CTabItem is closed.

  Specified by:
    `itemClosed` in interface `CTabFolderListener`
  Parameters:
    `event` - an event indicating the item being closed
  See Also:
    `CTabItem.setControl(org.eclipse.swt.widgets.Control)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.